rte_timecounter(3)

NAME
rte_timecounter

SYNOPSIS

#include <rte_time.h>

  Data Fields

uint64_t cycle_last
uint64_t nsec
uint64_t nsec_mask
uint64_t nsec_frac
uint64_t cc_mask
uint32_t cc_shift

Detailed Description

Structure to hold the parameters of a running cycle counter to assist in converting cycles to nanoseconds.

Definition at line 21 of file rte_time.h.

Field Documentation

  uint64_t cycle_last
Last cycle counter value read.

Definition at line 23 of file rte_time.h.

  uint64_t nsec
Nanoseconds count.

Definition at line 25 of file rte_time.h.

  uint64_t nsec_mask
Bitmask separating nanosecond and sub-nanoseconds.

Definition at line 27 of file rte_time.h.

  uint64_t nsec_frac
Sub-nanoseconds count.

Definition at line 29 of file rte_time.h.

  uint64_t cc_mask
Bitmask for two's complement subtraction of non-64 bit counters.

Definition at line 31 of file rte_time.h.

  uint32_t cc_shift
Cycle to nanosecond divisor (power of two).

Definition at line 33 of file rte_time.h.

Author

Generated automatically by Doxygen for DPDK from the source code.